<bugID>1367009<Summary>Sidebar header label is too small</Summary><Description>Seeing this on Linux, not sure if this bug manifests on Windows and Mac since I think they have smaller default font sizes.

This is due to browser/themes/shared/sidebar.inc.css hardcoding the font size. It should use the system default instead.</Description></bugID>